:root {
	--prim: #394BC4;
	--sec: #4F8FF0;
	--bg: #f0ebd8;
	--bg-highlight: hsl(from var(--bg) h s min(calc(l + 20), 100));
	--text: hsl(0 0 10);
	--text-soft: hsl(0 0 25);
	--trans: rgba(0, 0, 0, 0.70);
	--positive: hsl(140 76 53);
	--negative: hsl(352 73 55);
	--border-radius: 0.8em;
    color-scheme: light dark; 
}
@media (prefers-color-scheme: dark) {
	:root {
		--bg: hsl(0 0 10);
		--bg-highlight: hsl(from var(--bg) h s min(calc(l + 20), 100));
		--text: hsl(0 0 95);
		--text-soft: hsl(0 0 65);
	}
}
::-webkit-scrollbar { width: 0.5em; }
::-webkit-scrollbar-track { background: var(--trans); }
::-webkit-scrollbar-thumb { background: var(--prim); border-radius: 100vw; }
::-moz-scrollbar { width: 0.5em; }
::-moz-scrollbar-track { background: var(--trans); }
::-moz-scrollbar-thumb { background: var(--prim); border-radius: 100vw; }
@font-face {
  	font-family: 'Poppins';
  	font-style: normal;
  	font-weight: 500;
  	font-display: swap;
  	src: url(poppins.woff2) format('woff2');
  	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
body, html {
    background-color: var(--bg);
    color: var(--text);
	font-family: 'Poppins', system-ui, sans-serif;
	text-align: left;
    scroll-behavior: smooth;
    margin: 0px;
	overflow-x: hidden;
	font-size: 18px;
	word-break: break-word;
}
h1 { font-size:3.4em; line-height: 1.2em; font-weight: 700; text-wrap: balance; display:inline-block; text-align: center !important;
	letter-spacing: 1px; padding: 40px; box-sizing: border-box; width: 100%; max-width: 100% !important;}
h2 { font-size:2.2em; text-align: center; font-weight: 700; text-wrap: balance; letter-spacing: 1px;}
h3 { font-size:1.8em; font-weight: 700; text-wrap: balance; letter-spacing: 1px;}
h4 { font-size:1.4em; font-weight: 500; text-wrap: balance; letter-spacing: 1px;}
h5 { font-size:1.3em; font-weight: 700; text-wrap: balance; letter-spacing: 1px;}
p {
    max-width: 80ch;
    font-size: 1.15em;
	line-height: 1.6em;
    margin-left: auto;
    margin-right: auto;
}
textarea {
	border-radius: var(--border-radius);
  	padding: 10px;
}
select {
	padding: 8px;
	border-radius: var(--border-radius);
}
a:not([class]):link, a:not([class]):visited { color: var(--prim); }
a:not([class]):hover, a:not([class]):active { color: var(--sec); }
nav {
    cursor: pointer;
    display: flex;
    text-decoration: none;
    width: 100%;
    list-style: none;
    padding: 40px;
	} nav a {
	padding: 10px;
	display: inline-block;
	} nav div {
	align-self: center;
	} .submenu {
    display: none;
    position: relative;
    list-style: none;
    border-radius: var(--border-radius);
	} nav a:hover {
	background-color: var(--prim);
    border-radius: var(--border-radius);
	} .submenu li {
	padding: 10px;
	border-top: 1px solid var(--bg);
	border-bottom: 1px solid var(--bg);
	} nav div:hover .submenu, nav .submenu:hover, nav input:active .submenu {
    display: block;
	} .item {
    text-decoration: none;
	justify-self: center;
	align-content: center; 
	align-items: center; 
	align-self: center; 
}
section {
	width: 100vw;
	padding: 4em 20em;
	margin: 0;
	box-sizing: border-box;
	} section > * {
	margin: 0 auto;
}
.hero {
    text-align:left;
    min-height: 10vh;
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
	padding: 40px;

}
.language-switch {
	text-align: center;
	justify-self: center;
	margin: 15px;
}
.answer, .assistant {
	padding: 1.2em;
	border-radius: var(--border-radius);
	width: 98%;
	min-height: 20%;
	display: inline-block;
	box-sizing: border-box;
	background-color: var(--bg-highlight);
	margin-bottom: 35px;
	color: var(--text);
	text-align: left;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
}
.question, .user {
	padding: 1.2em;
	border-radius: var(--border-radius);
	width: 98%;
	min-height: 20%;
	display: inline-block;
	box-sizing: border-box;
	background-color: var(--sec);
	margin-bottom: 35px;
	color: var(--bg);
	text-align: left;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
}
#question-field {
	padding: 1.2em;
	font-size: 1em;
	border-radius: var(--border-radius);
	width: 98%;
	display: inline-block;
	box-sizing: border-box;
	background-color: white;
	border: solid 1px lightgrey;
	outline: none;
	color: black;
	resize: none;
	box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
}
.error {
	padding: 1.2em;
	font-size: 1.1em;	
	font-weight: 700;
	border-radius: var(--border-radius);
	width: 98%;
	min-height: 20%;
	display: inline-block;
	box-sizing: border-box;
	background-color: var(--negative);
	margin-bottom: 35px;
	text-align: left;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
}
.notification {
	padding: 1.2em;
	font-size: 1.1em;	
	font-weight: 700;
	border-radius: var(--border-radius);
	width: 98%;
	min-height: 20%;
	display: inline-block;
	box-sizing: border-box;
	background-color: var(--sec);
	margin-bottom: 35px;
	text-align: left;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
}
.conversations-overview {
	margin: 0;
	padding: 0;
	gap: 0 !important;
	font-size: 0.8em;
}
.conversation-card {
	margin: 20px;
	padding: 20px;
	background-color: var(--bg-highlight);
	border-radius: var(--border-radius);
	display: grid;
	
}
.steps {
	display: flex;
	gap: 1rem;
	list-style: none;
} .steps > li {
	padding: 15px;
	border-radius: var(--border-radius);
	border: 1px solid var(--prim);
	background-color: hsl(from var(--prim) h s l / 0.10);
	font-size: 1.15em;
	font-weight: 600;
} .steps > .upcoming {
	background-color: var(--bg);
	border-color: var(--text-soft);
	color: var(--text-soft);
}
.steps > li::before {
    content: "●";
	font-size: 1.6em;
	padding: 5px;
	padding-right: 10px;
    color: var(--prim);
    flex-shrink: 0;
	line-height: 0;
	transform: translateY(-0.10em);
}
.steps > .upcoming::before {
    color: var(--text-soft);
}
.spinner {
  animation: spinner-pulse 1.2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
}
@keyframes spinner-pulse {
  0%   { transform: rotate(0deg); }
  50%  { transform: rotate(180deg); }
  100% { transform: rotate(360deg); }
}

.mobile-only { display: none; }
.clear {clear: both;}
.spacer {clear: both; border: 1px solid transparent; height: 75px;}
.button {
	display: inline-block;
	box-sizing: border-box;
    background-color:var(--prim);
    border-radius: var(--border-radius);
    padding: 10px 40px;
	margin: 15px 0px;
    color:white;
	font-size: 1.2em;
	font-weight: 500;
    border:0;
    text-decoration:none;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
	width: 98%;
	cursor: pointer;
	text-align: center;
}
.button-2 {
	display: inline-block;
	box-sizing: border-box;
    background-color:var(--sec);
    border-radius: var(--border-radius);
    padding: 10px 40px;
	margin: 15px 0px;
    color:white;
	font-size: 1.2em;
	font-weight: 500;
	text-align: center;
    border: 0 solid var(--sec
		);
    text-decoration:none;
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.25);
	width: 98%;
	cursor: pointer;
}
.button:hover, .button-2:hover {
    background-color:var(--sec);
}
button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}
.button-small {
	width: fit-content;
	margin: 15px 15px;
}

textarea:disabled {
    opacity: 0.7;
    cursor: not-allowed;
}
.notification-bar {
	display: none;
	top: 25%;
    left: 50%;
    transform: translate(-50%, -50%);
	position: fixed;
	z-index: 9999;
	text-align: center;
	margin: auto;
	padding: 20px 80px;
	/*border: 2px solid green;*/
	border-radius: var(--border-radius);
	background-color: var(--prim);
	font-weight: 500;
}
.container {
    text-align: center;
    display: block;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 40px;
}
.toggle {
	width: 95%;
	margin: 60px auto;
	}
	.toggle > li {
	list-style: none;
	width: 100%;
	margin: 20px;
	padding: 10px;
	border-radius: var(--border-radius);
	background: var(--sec);
	box-shadow: 6px 6px 10px -1px rgba(0, 0, 0, 0.15), -6px -6px 10px -1px rgba(255, 255, 255, 0.15);
	color: white;
	}
	.toggle > li label {
	display: flex;
	align-items: center;
	padding: 10px;
	font-size: 1.2em;
	font-weight: 700;
	letter-spacing: 1px;
	cursor: pointer;
	}
	.toggle > li label::before {
	content: '+';
	margin-right: 10px;
	font-size: 1.4em;
	font-weight: 700;
	}
	.toggle input { display: none; }
	.toggle-content {
	max-height: 0;
	overflow: hidden;
	opacity: 5%;
	transition: max-height 0.8s, padding 0.8s, opacity 1s;
	}
	.toggle input:checked + label + .toggle-content {
	max-height: inherit;
	opacity: 100%;
	padding: 10px 10px 20px;
	}
	.toggle input:checked + label:before {
	content: '-';
}
.box {
    display: block;
    background-color: var(--bg-highlight);
    padding: 60px 20px;
    border-radius: var(--border-radius);
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.2);
	overflow-x: hidden;
}
.box-2 {
	display: block;
	background-color:var(--bg);
	border: 1px solid hsl(0 0 90);
	padding: 20px;
    border-radius: var(--border-radius);
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.2);
	overflow-x: hidden;
}
.video-player {
	padding:56.25% 0 0 0;
	position:relative;
}
.form-container {
    border-radius: var(--border-radius);
    display: inline-block; 
    margin: 20px;
    padding: 10px;
}
.formular {
	box-sizing: border-box;
	align-items: center;
	align-content: center;
	justify-content: center;
	justify-items: center;
	background-color: var(--bg-highlight);
	padding: 2.2em 2em;
	margin: 0 auto;
	border-radius: var(--border-radius);
	max-width: min(1200px, 90vw);
	width: fit-content;
}
.formular input:not([type="submit"]) {
	border-radius: var(--border-radius);
	border: none;
	padding: 14px;
	font-size: 1em;
	background-color: var(--bg);
}
.formular input:not(placeholder-shown):valid { outline-color: var(--positive); }
.formular input:not(placeholder-shown):invalid { outline-color: var(--negative); }

#formular-antwort {
	padding-top: 30px;
	font-size: 1.2em;
}
.auto-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22rem, 100%), 1fr));
    grid-gap: 2rem;
	width: 80vw;
}
.flex-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    } .flexible-grid > * {
    flex: 1;
}

/*
Mobil-Layout
*/
@media screen and (max-width: 1440px) {
	.mobile-only { display: block; }
	.desk-only { display: none; }
	h1 { font-size: 1.9em; }
	h2 { font-size: 1.7em;}
	h3 { font-size: 1.5em; }
	h4 { font-size: 1.3em;}
	.preistabelle .feature { font-size: 0.8em;
		word-wrap: break-word; word-break: break-all; overflow-wrap: break-word; overflow: hidden; }
	.preistabelle th { font-size: 0.8em; }
	.preistabelle td { width: auto; }
	section { padding: 4em 1em; }
	footer > * { justify-content: center; text-align: center !important; }
	#logo { height: 50px; }
}